
.subckt RX_PRIMARY_pciex_Serdes 4 5 1 6 rxnode

*[MCP Begin]
*[MCP Ver] 1.2
*[MCP Source] Cadence MCP Editor
*
*[REM]***********************************************************************
*[Connection] Rx_Out  Rx_Out
*[Connection Type] 
*[Power Nets]
*1	1	vdd
*[Ground Nets]
*6	6	vss
*[Signal Nets]
*4	4	inp
*5	5	inn
*
*[REM]***********************************************************************
*[Connection] Repeater  Repeater
*[Connection Type] Repeater
*[Ground Nets]
*2	6	6
*[Signal Nets]
*1	rxnode	rxnode
*
*[MCP End]
.ends RX_PRIMARY_pciex_Serdes


.subckt RX_PRIMARY_pciex_Serdes_OnDie_RC
+ in_4     in_5     in_1     in_6     out_4     out_5     out_1     out_6
* User-specified OnDie parasitics parameters
+ rshort = 0.001		$ Short Resistor
+ rpds = 0.3		$ PDS Resistor
+ cpds = 0.5n		$ PDS Capacitor

* NOTE - This is the Topology Workbench generated sub-circuit definition
* for the OnDie parasitics based on the user-specified OnDie parameters.
* Editing of sub-circuit definition is NOT recommended.

** Signals
* For 4
r1_4 in_4 out_4 'rshort'

* For 5
r1_5 in_5 out_5 'rshort'

** Powers
* For 1
r1_1 in_1 out_1 'rshort'
r2_1 in_1 node_1_1 'rpds'
c1_1 node_1_1 in_6 'cpds'

** Grounds
* For 6
* .connect in_6 out_6
* .connect in_6 ngnd
* r_in_6_ngnd  in_6 ngnd 1e-5

.ends RX_PRIMARY_pciex_Serdes_OnDie_RC


.subckt RX_PRIMARY_pciex_Serdes_Pin_RLC
+ in_4     in_5     in_1     in_6     out_4     out_5     out_1     out_6
* Package RLC Parameters
+ R_pkg = 2.000e-03
+ L_pkg = 2.000e-10
+ C_pkg = 2.000e-13

* NOTE - This is the Topology Workbench generated sub-circuit definition
* for the package parasitics based on the values of R_pin, L_pin and
* C_pin in the [Pin] section of the component 'pciex_Serdes' in 'sla_pcie4_em.ibs' file.
* Editing of sub-circuit definition is NOT recommended.

** Signals
x_4 in_4 out_4 in_6 onpkg_RLC R_Pin='R_pkg' L_Pin='L_pkg' C_Pin='C_pkg'
x_5 in_5 out_5 in_6 onpkg_RLC R_Pin='R_pkg' L_Pin='L_pkg' C_Pin='C_pkg'

** Powers
* .connect in_1 out_1

** Grounds
* .connect in_6 out_6
* .connect in_6 ngnd
* r_in_6_ngnd  in_6 ngnd 1e-5

.subckt onpkg_RLC in out ngnd
+ R_Pin=2.000e-03
+ L_Pin=2.000e-10
+ C_Pin=2.000e-13
r1 in 1 R_Pin
l1 1 out L_Pin
c1 out ngnd C_Pin
.ends onpkg_RLC

.ends RX_PRIMARY_pciex_Serdes_Pin_RLC


.subckt RX_PRIMARY_pciex_Serdes_PkgModel
+ in_4     in_5     in_1     in_6     out_4     out_5     out_1     out_6

* NOTE - This is the Topology Workbench generated sub-circuit definition
* Editing of sub-circuit definition is NOT recommended.

* .connect in_4 out_4
* .connect in_5 out_5
* .connect in_1 out_1
* .connect in_6 out_6
* .connect in_6 ngnd
r_in_6_ngnd  in_6 ngnd 1e-5

.ends RX_PRIMARY_pciex_Serdes_PkgModel

