.subckt TX_PRIMARY_pciex_Serdes
+ 2     3     1     6     in

* generate stimulus for negative
einn inn 6 volt='1-v(in, 6)'

X_speedXP_auto_TX_PRIMARY_pciex_Serdes
+ in     inn     2     3     1     6
+ SpeedXP_auto_TX_PRIMARY_pciex_Serdes

.ends TX_PRIMARY_pciex_Serdes

.subckt SpeedXP_auto_TX_PRIMARY_pciex_Serdes
+ nd_in_2     nd_in_3     nd_out_2     nd_out_3     nd_out_1     nd_out_6


B_SpeedXP_auto_2    pwrbus1_2    nd_out_6    nd_out_2    nd_in_2
+    file = 'C:\Cadence\SPB_17.4\share\topxp\ComplianceKits\pcie4\IBIS\sla_pcie4_em.ibs'
+    model = 'pciex_out_em_full'
+    nd_in = nd_in_2
+    Typ = typ
+    power = off
+    buffer = output
+    ramp_fwf = 0
+    ramp_rwf = 0
V_SpeedXP_auto_pwrbus1_2    pwrbus1_2    nd_out_6    1

B_SpeedXP_auto_3    pwrbus1_3    nd_out_6    nd_out_3    nd_in_3
+    file = 'C:\Cadence\SPB_17.4\share\topxp\ComplianceKits\pcie4\IBIS\sla_pcie4_em.ibs'
+    model = 'pciex_out_em_full'
+    nd_in = nd_in_3
+    Typ = typ
+    power = off
+    buffer = output
+    ramp_fwf = 0
+    ramp_rwf = 0
V_SpeedXP_auto_pwrbus1_3    pwrbus1_3    nd_out_6    1

.ends SpeedXP_auto_TX_PRIMARY_pciex_Serdes

.subckt RX_PRIMARY_pciex_Serdes
+ 4     5     1     6     rxnode     nd_out_of_in_4     nd_out_of_in_5

X_speedXP_auto_RX_PRIMARY_pciex_Serdes
+ 4     5     1     6     nd_out_of_in_4     nd_out_of_in_5
+ SpeedXP_auto_RX_PRIMARY_pciex_Serdes

erxnode rxnode 6 volt='v(nd_out_of_in_4, nd_out_of_in_5)'

.ends RX_PRIMARY_pciex_Serdes

.subckt SpeedXP_auto_RX_PRIMARY_pciex_Serdes
+ nd_in_4     nd_in_5     nd_out_1     nd_out_6     nd_out_of_in_4     nd_out_of_in_5


B_SpeedXP_auto_4    pwrbus1_4    nd_out_6    nd_in_4    nd_out_of_in_4
+    file = 'C:\Cadence\SPB_17.4\share\topxp\ComplianceKits\pcie4\IBIS\sla_pcie4_em.ibs'
+    model = 'pciex_in_em'
+    nd_outofin = nd_out_of_in_4_D
+    Typ = typ
+    power = off
+    buffer = input
+    ramp_fwf = 2
+    ramp_rwf = 2
V_SpeedXP_auto_pwrbus1_4    pwrbus1_4    nd_out_6    1

B_SpeedXP_auto_5    pwrbus1_5    nd_out_6    nd_in_5    nd_out_of_in_5
+    file = 'C:\Cadence\SPB_17.4\share\topxp\ComplianceKits\pcie4\IBIS\sla_pcie4_em.ibs'
+    model = 'pciex_in_em'
+    nd_outofin = nd_out_of_in_5_D
+    Typ = typ
+    power = off
+    buffer = input
+    ramp_fwf = 2
+    ramp_rwf = 2
V_SpeedXP_auto_pwrbus1_5    pwrbus1_5    nd_out_6    1

.ends SpeedXP_auto_RX_PRIMARY_pciex_Serdes

